Subject: bug#39502: [PATCH] Use one src status -a call for vc-src-dir-status-files

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Aug 2020 21:50:22 +0200

Dmitry Gutov <[email-masked]> writes:

> On 09.08.2020 17:13, Eli Zaretskii wrote:
>> I tried, but couldn't (for boring reasons unrelated to the patch).  I
>> don't want to block the changes, so it's okay to install them,
>> provided that Dmitry agrees.
>
> Now that I've read the code more in-depth, this part looks somewhat
> objectionable:
>
> +                  ;; Ignore all errors.
> +                  (condition-case nil
>
> But since the patch only affects SRC (and I don't know why would
> anybody use it), I'm happy to leave the decision to others.

Well, it's a bit unfortunate to apply a patch that we haven't tested,
but I've now done so anyway.  I did make some white space and stylistic
changes before applying it, though -- Wolfgang, can you check whether I
messed something up there?

But I've pushed the change to Emacs 28.1 (i.e., the Emacs trunk).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no